<bugID>1347677<Summary>Use BrowserTestUtils.waitForErrorPage in browser_bug431826.js</Summary><Description>In browser_bug431826.js, on two occasions[0] we use a custom waitForEvent call that listens to DOMContentLoaded, which is prone to cause intermittent errors. We should replace both with the more reliable BrowserTestUtils.waitForErrorPage[1] function and make sure the affected tests still run correctly.

[0] http://searchfox.org/mozilla-central/rev/ca7015fa45b30b29176fbaa70ba0a36fe9263c38/browser/base/content/test/general/browser_bug431826.js#8,33
[1] http://searchfox.org/mozilla-central/rev/8fa84ca6444e2e01fb405e078f6d2c8da0e55723/testing/mochitest/BrowserTestUtils/BrowserTestUtils.jsm#689

You can run the test with

./mach mochitest browser/base/content/test/general/browser_bug431826.js

and learn more about Mochitest here: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/Mochitest</Description></bugID>